html, body, div, h1, h2, h3, h4, p, img, form { margin:0; padding:0; }
html, body { min-height:100%; font-size:18px; }
body {
    font-family: sans-serif;
    font-size: 18px;
    line-height: 1.5;
    background: #fff;
    -webkit-font-smoothing: antialiased;
    color: #2c2c2c;
}

h1,h2,h3,h4 { font-weight:600; margin:0px 0 15px; }
h1 { font-size: 2.0rem; }
h2 { font-size: 1.6rem; }
h3 { font-size: 1.4rem; margin-bottom: 0.3rem; }
h4 { font-size: 1.2rem; font-weight:bold; line-height:1.2rem; }
h5 { font-size: 1.0rem; font-weight:bold; margin-bottom:1rem; }
p { margin-bottom: 1.4rem; }
img { display: inline-block; border: none; max-width:100%; }
strong { font-weight:600; }

input[type=text], input[type=password], input[type=email], input[type=number] {
    font-family: inherit;
    font-size: inherit;
    padding: 6px 0.25rem;
    position: relative;
    width: 100%;
    max-width: 300px;
    border: 1px solid #333;
    border-radius: 6px;
    color: inherit;
}
textarea {
    font-family: inherit;
    font-size: inherit;
}
button, a.button {
    display: inline-block;
    font-family: inherit;
    font-size: inherit;
    padding: 0.5rem 1rem;
    margin: 0 0.5rem 0.5rem 0;
    background: linear-gradient(170deg, #f0f0f7, #d7d7df);
    border: none;
    border-radius: 0.5rem;
    color: #000;
    box-shadow: 0px 1px 4px rgba(0,0,0,0.5);
    cursor: pointer;
    transition: filter 0.25s;
    text-decoration: none;
}
button:hover, a.button:hover { filter:brightness(105%); }

table.table {
    border-spacing: 2px;
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 1rem;
    border-bottom: 1px solid #d7d7df;
}
table.table th {
    text-align: left;
    font-weight: 700;
    font-size: 0.9rem;
    font-family: inherit;
    color:#3080d0;
    text-transform: uppercase;
    text-shadow: 0px 1px 1px #aaa;
}
table.table th, table.table td { padding:0.58rem 0.5rem 0.5rem 0.5rem; }
table.table tr td { border-top: 1px solid #d7d7df; }

table.table.striped tbody tr:nth-child(even) td { background: #f0f0f7; }
table.table.lined {
    background: #fff;
    border: 1px solid #d7d7df;
}
th.right,  td.right  { text-align:right !important; }
th.center, td.center { text-align:center !important; }

template, .template { display:none; }

*:focus-visible { outline:none; }

.mobile-item { display: none; }
.not-tablet, .not-phone { display:auto; }
@media screen and (max-width: 1024px) {
    /* Tablet */
    .mobile-item { display: block; }
    .not-tablet { display: none; }
    html, body {
        font-size:20px !important;
        line-height:1.4 !important;
    }
} /* Tablet */

@media screen and (max-width: 599px) {
    /* Phone */
    .not-phone { display: none; }
    html, body {
        font-size:22px !important;
        line-height:1.4 !important;
    }
    input[type=text], input[type=password], input[type=email] {
        padding: 0.5rem;
        max-width: calc(100% - 2rem);
    }
} /* Phone */

.left   { text-align:left; }
.center { text-align:center; }
.right  { text-align:right; }
.nowrap { white-space:nowrap; }
.clear { clear:both; }
.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently supported by Chrome, Edge, Opera and Firefox */
}

template, .template { display:none; }

.error_message {
    display: none;
    background: #f0d0d7;
    color: #d03;
    padding: 1rem;
    border-radius: 0.5rem;
    margin-bottom: 1rem;
}
.error_message.shown { display:block; }


.tcoco-loader { }
.tcoco-loader > .tcoco-loader-spinner { display: none; }
.tcoco-loader > .tcoco-loader-content { display: block; }
.tcoco-loader.waiting > .tcoco-loader-content { display: none; }
.tcoco-loader.waiting > .tcoco-loader-spinner {
    height: 100%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap:0.5rem;
    padding-top: 30%;
}
.tcoco-loader-dots {
    display: block;
    font-size:2rem;
    animation:loading-spin 2s linear infinite;
    -webkit-animation:loading-spin 2s linear infinite;
}
.tcoco-loader-dots::before {
    content: ' ';
    display: block;
    background: currentColor;
    mask-size: cover;
    -webkit-mask-size: cover;
    width: 1em;
    height: 1em;
    mask-image:url('data:image/svg+xml;charset=utf-8,<svg width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M21.1679 8C19.6247 4.46819 16.1006 2 11.9999 2C6.81459 2 2.55104 5.94668 2.04932 11" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/><path d="M18 8H21.4C21.7314 8 22 7.73137 22 7.4V4" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/><path d="M2.88146 16C4.42458 19.5318 7.94874 22 12.0494 22C17.2347 22 21.4983 18.0533 22 13" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/><path d="M6.04932 16H2.64932C2.31795 16 2.04932 16.2686 2.04932 16.6V20" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/></svg>');
    -webkit-mask-image:url('data:image/svg+xml;charset=utf-8,<svg width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M21.1679 8C19.6247 4.46819 16.1006 2 11.9999 2C6.81459 2 2.55104 5.94668 2.04932 11" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/><path d="M18 8H21.4C21.7314 8 22 7.73137 22 7.4V4" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/><path d="M2.88146 16C4.42458 19.5318 7.94874 22 12.0494 22C17.2347 22 21.4983 18.0533 22 13" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/><path d="M6.04932 16H2.64932C2.31795 16 2.04932 16.2686 2.04932 16.6V20" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/></svg>');
}
@keyframes loading-spin {
    100% {
        transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
    }
}

tcoco-search {
    display: block;
    width: clamp(200px, 100%, 600px);
    border: 1px solid #666;
    border-radius: 8px;
    background: #fff;
}
tcoco-search:focus { outline:none; box-shadow:0 0 4px #09f; }


.ql-bg-black {background-color: #000; }
.ql-bg-red {background-color: #e60000; }
.ql-bg-orange {background-color: #f90; }
.ql-bg-yellow {background-color: #ff0; }
.ql-bg-green {background-color: #008a00; }
.ql-bg-blue {background-color: #06c; }
.ql-bg-purple {background-color: #93f; }
.ql-color-white {color: #fff; }
.ql-color-red {color: #e60000; }
.ql-color-orange {color: #f90; }
.ql-color-yellow {color: #ff0; }
.ql-color-green {color: #008a00; }
.ql-color-blue {color: #06c; }
.ql-color-purple {color: #93f; }

.ql-font-serif { font-family: Georgia, Times New Roman, serif; }
.ql-font-monospace { font-family: Monaco, Courier New, monospace; }

.ql-align-center { text-align: center; }
.ql-align-justify { text-align: justify; }
.ql-align-right { text-align: right; }

.ql-indent-1 {padding-left: 3em; }
.ql-indent-2 {padding-left: 6em; }
.ql-indent-3 {padding-left: 9em; }
.ql-indent-4 {padding-left: 12em; }
.ql-indent-5 {padding-left: 15em; }
.ql-indent-6 {padding-left: 18em; }
.ql-indent-7 {padding-left: 21em; }
.ql-indent-8 {padding-left: 24em; }
.ql-indent-9 {padding-left: 27em; }

blockquote {
  margin: 1rem 0 1.5rem 0;
  padding: 0.25rem 0 0.25rem 1rem;
  border-left: 4px solid #aaa;
}
code, pre {
  background-color: #e0e0e4;
  border-radius: 3px;
}
pre {
  white-space: pre-wrap;
  margin: 0.5rem 0 1rem 0;
  padding: 0.5rem 1rem;
}
code {
  font-size: 85%;
  padding: 0.5rem 1rem;
}

.visitorTrackingPermission {
    position: fixed;
    z-index: 10;
    bottom: 0;
    left: 50%;
    transform:translateX(-50%);
    width: min(960px, calc(96vw - 4rem));
    padding:1rem 2rem;
    background: linear-gradient(180deg, #f0f0f0, #ccc);
    border: 1px solid #000;
    border-bottom:none;
    border-radius: 0.5rem 0.5rem 0 0;
}
.visitorTrackingPermission p { margin-bottom:0.5rem; }
.visitorTrackingPermission a[for=accept], .visitorTrackingPermission a[for=essential] {
    display: inline-block;
    float: right;
    padding: 0.5rem 1rem;
    margin: 0 0 0.5rem 1rem;
    background: #d0d0d0;
    text-decoration: none;
    color: #333;
    border:1px solid #777;
    border-radius: 0.5rem;
}
.visitorTrackingPermission a[for=accept] {
    background:#20a0a0;
    color: #fff;
}

